Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/SBC/sbcblk.F90
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/SBC/sbcblk.F90	(revision 11840)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/SBC/sbcblk.F90	(revision 11841)
@@ -604,8 +604,8 @@
       
 
-      !  Turbulent fluxes over ocean  => TURB_FLUXES @ sbcblk_phy.F90
+      !  Turbulent fluxes over ocean  => BULK_FORMULA @ sbcblk_phy.F90
       ! -------------------------------------------------------------
       
-      CALL TURB_FLUXES( rn_zu, zst(:,:), zsq(:,:), t_zu(:,:), q_zu(:,:), Cd_atm(:,:), Ch_atm(:,:), Ce_atm(:,:), &
+      CALL BULK_FORMULA( rn_zu, zst(:,:), zsq(:,:), t_zu(:,:), q_zu(:,:), Cd_atm(:,:), Ch_atm(:,:), Ce_atm(:,:), &
          &                 wndm(:,:), zU_zu(:,:), sf(jp_slp)%fnow(:,:,1), &
          &                 taum(:,:), zqsb(:,:), zqla(:,:),               &
@@ -617,11 +617,16 @@
       zevap(:,:) = zevap(:,:) * tmask(:,:,1)
       
-      DO jj = 1, jpj             ! tau i and j component on T-grid points
-         DO ji = 1, jpi
-            zztmp = taum(ji,jj) / wndm(ji,jj)
-            zwnd_i(ji,jj) = zztmp * zwnd_i(ji,jj)
-            zwnd_j(ji,jj) = zztmp * zwnd_j(ji,jj)
-         END DO
-      END DO
+      ! Tau i and j component on T-grid points, using array "Cd_atm" as a temporary array...
+      Cd_atm = 0._wp
+      WHERE ( wndm > 0._wp ) Cd_atm = taum / wndm
+      zwnd_i = Cd_atm * zwnd_i
+      zwnd_j = Cd_atm * zwnd_j      
+      !DO jj = 1, jpj             ! tau i and j component on T-grid points
+      !   DO ji = 1, jpi
+      !      zztmp = taum(ji,jj) / MAX( wndm(ji,jj) , 0.01_wp )
+      !      zwnd_i(ji,jj) = zztmp * zwnd_i(ji,jj)
+      !      zwnd_j(ji,jj) = zztmp * zwnd_j(ji,jj)
+      !   END DO
+      !END DO
       !                          ! add the HF tau contribution to the wind stress module
       IF( lhftau )   taum(:,:) = taum(:,:) + sf(jp_tdif)%fnow(:,:,1)
Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/SBC/sbcblk_phy.F90
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/SBC/sbcblk_phy.F90	(revision 11840)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/SBC/sbcblk_phy.F90	(revision 11841)
@@ -79,7 +79,7 @@
    END INTERFACE alpha_sw
 
-   INTERFACE turb_fluxes
-      MODULE PROCEDURE turb_fluxes_vctr, turb_fluxes_sclr
-   END INTERFACE turb_fluxes
+   INTERFACE bulk_formula
+      MODULE PROCEDURE bulk_formula_vctr, bulk_formula_sclr
+   END INTERFACE bulk_formula
 
 
@@ -98,5 +98,5 @@
    PUBLIC update_qnsol_tau
    PUBLIC alpha_sw
-   PUBLIC turb_fluxes
+   PUBLIC bulk_formula
 
    !!----------------------------------------------------------------------
@@ -539,5 +539,5 @@
             zCe = zz0*pqst(ji,jj)/zdq
 
-            CALL TURB_FLUXES( pzu, pTs(ji,jj), pqs(ji,jj), pTa(ji,jj), pqa(ji,jj), zCd, zCh, zCe, &
+            CALL BULK_FORMULA( pzu, pTs(ji,jj), pqs(ji,jj), pTa(ji,jj), pqa(ji,jj), zCd, zCh, zCe, &
                &              pwnd(ji,jj), pUb(ji,jj), pslp(ji,jj), &
                &              pTau(ji,jj), zQsen, zQlat )
@@ -554,5 +554,5 @@
 
 
-   SUBROUTINE TURB_FLUXES_VCTR( pzu, pTs, pqs, pTa, pqa, pCd, pCh, pCe, pwnd, pUb, pslp, &
+   SUBROUTINE BULK_FORMULA_VCTR( pzu, pTs, pqs, pTa, pqa, pCd, pCh, pCe, pwnd, pUb, pslp, &
       &                                 pTau, pQsen, pQlat,  pEvap, prhoa )
       !!----------------------------------------------------------------------------------
@@ -604,8 +604,8 @@
          END DO
       END DO
-   END SUBROUTINE TURB_FLUXES_VCTR
-
-
-   SUBROUTINE TURB_FLUXES_SCLR( pzu, pTs, pqs, pTa, pqa, pCd, pCh, pCe, pwnd, pUb, pslp, &
+   END SUBROUTINE BULK_FORMULA_VCTR
+
+
+   SUBROUTINE BULK_FORMULA_SCLR( pzu, pTs, pqs, pTa, pqa, pCd, pCh, pCe, pwnd, pUb, pslp, &
       &                                 pTau, pQsen, pQlat,  pEvap, prhoa )
       !!----------------------------------------------------------------------------------
@@ -653,5 +653,5 @@
       IF ( PRESENT(prhoa) ) prhoa = zrho
 
-   END SUBROUTINE TURB_FLUXES_SCLR
+   END SUBROUTINE BULK_FORMULA_SCLR
 
 