Index: NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/iodef.xml
===================================================================
--- NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/iodef.xml	(revision 11850)
+++ NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/iodef.xml	(revision 11853)
@@ -11,5 +11,5 @@
 
           <variable id="info_level"                type="int">10</variable>
-          <variable id="using_server"              type="bool">true</variable>
+          <variable id="using_server"              type="bool">false</variable>
           <variable id="using_oasis"               type="bool">false</variable>
           <variable id="oasis_codes_id"            type="string">oceanx</variable>
Index: NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/namelist_cfg.coare3p6
===================================================================
--- NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/namelist_cfg.coare3p6	(revision 11850)
+++ NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/namelist_cfg.coare3p6	(revision 11853)
@@ -2,5 +2,5 @@
 !! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!             STATION_ASF
+!!             STATION_ASF configuration   
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -139,15 +139,4 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !       weights filename               ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   !sn_wndi     = 'forcing_LOLO'   ,  1    , 'sowinu10',   .true.     , .false. , 'yearly'  , ''   ,''   , ''
-   !sn_wndj     = 'forcing_LOLO'   ,  1    , 'sowinv10',   .true.     , .false. , 'yearly'  , ''   ,''   , ''
-   !sn_qsr      = 'forcing_LOLO'   ,  1    , 'sosudosw',   .false.    , .false. , 'yearly'  , ''  , ''   , ''
-   !sn_qlw      = 'forcing_LOLO'   ,  1    , 'sosudolw',   .false.    , .false. , 'yearly'  , ''  , ''   , ''
-   !sn_tair     = 'forcing_LOLO'   ,  1    , 'sotemair',   .true.     , .false. , 'yearly'  , ''  , ''   , ''
-   !sn_humi     = 'forcing_LOLO'   ,  1    , 'sohumspe',   .true.     , .false. , 'yearly'  , ''  , ''   , ''
-   !sn_prec     = 'forcing_LOLO'   ,  1    , 'sowaprec',   .false.    , .false. , 'yearly'  , ''  , ''   , ''
-   !sn_snow     = 'forcing_LOLO'   ,  1    , 'sososnow',   .false.    , .false. , 'yearly'  , ''  , ''   , ''
-   !sn_slp      = 'forcing_LOLO'   ,  1    , 'somslpre',   .true.     , .false. , 'yearly'  , ''  , ''   , ''
-   !sn_tdif     = 'forcing_LOLO'   , 24    , 'taudif'  ,   .FALSE.    , .FALSE. , 'yearly'  , ''  , ''   , ''
-   !
    sn_wndi     = 'Station_PAPA_50N-145W_atm_hourly',  1.  , 'u_air',    .true.     , .false. , 'yearly'  , ''   ,''   , ''
    sn_wndj     = 'Station_PAPA_50N-145W_atm_hourly',  1.  , 'v_air',    .true.     , .false. , 'yearly'  , ''   ,''   , ''
@@ -177,12 +166,4 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   !sn_usp      = 'sas_grid_U_PAPA'       ,       120         , 'uos'     ,   .TRUE.    , .TRUE. , 'yearly'  ,    ''            ,    ''    ,    ''
-   !sn_vsp      = 'sas_grid_V_PAPA'       ,       120         , 'vos'     ,   .true.    , .true. , 'yearly'  ,    ''            ,    ''    ,    ''
-   !sn_tem      = 'sas_grid_T_PAPA'       ,       120         , 'sosstsst',   .true.    , .true. , 'yearly'  ,    ''            ,    ''    ,    ''
-   !sn_sal      = 'sas_grid_T_PAPA'       ,       120         , 'sosaline',   .true.    , .true. , 'yearly'  ,    ''            ,    ''    ,    ''
-   !sn_ssh      = 'sas_grid_T_PAPA'       ,       120         , 'sossheig',   .true.    , .true. , 'yearly'  ,    ''            ,    ''    ,    ''
-   !sn_e3t      = 'sas_grid_T_PAPA'       ,       120         , 'e3t_m'   ,   .true.    , .true. , 'yearly'  ,    ''            ,    ''    ,    ''
-   !sn_frq      = 'sas_grid_T_PAPA'       ,       120         , 'frq_m'   ,   .true.    , .true. , 'yearly'  ,    ''            ,    ''    ,    ''
-   !
    sn_usp  = 'Station_PAPA_50N-145W_oce_hourly', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
    sn_vsp  = 'Station_PAPA_50N-145W_oce_hourly', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
@@ -266,7 +247,7 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
-!!   namflo       float parameters                                      ("key_float")
-!!   nam_diaharm  Harmonic analysis of tidal constituents               ("key_diaharm")
-!!   namdct       transports through some sections                      ("key_diadct")
+!!   namflo       float parameters                                      (default: OFF)
+!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
+!!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
@@ -292,6 +273,4 @@
 &nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
 !-----------------------------------------------------------------------
-   jpni        =   1       !  number of processors following i (set automatically if < 1), see also ln_listonly = T
-   jpnj        =   1       !  number of processors following j (set automatically if < 1), see also ln_listonly = T
 /
 !-----------------------------------------------------------------------
Index: NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/namelist_cfg.ecmwf
===================================================================
--- NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/namelist_cfg.ecmwf	(revision 11850)
+++ NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/namelist_cfg.ecmwf	(revision 11853)
@@ -2,5 +2,5 @@
 !! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!             STATION_ASF
+!!             STATION_ASF configuration   
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -247,7 +247,7 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
-!!   namflo       float parameters                                      ("key_float")
-!!   nam_diaharm  Harmonic analysis of tidal constituents               ("key_diaharm")
-!!   namdct       transports through some sections                      ("key_diadct")
+!!   namflo       float parameters                                      (default: OFF)
+!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
+!!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
@@ -273,6 +273,4 @@
 &nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
 !-----------------------------------------------------------------------
-   jpni        =   1       !  number of processors following i (set automatically if < 1), see also ln_listonly = T
-   jpnj        =   1       !  number of processors following j (set automatically if < 1), see also ln_listonly = T
 /
 !-----------------------------------------------------------------------
Index: NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/namelist_cfg.ncar
===================================================================
--- NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/namelist_cfg.ncar	(revision 11850)
+++ NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/namelist_cfg.ncar	(revision 11853)
@@ -26,20 +26,20 @@
 !-----------------------------------------------------------------------
    nn_no       =       0   !  Assimilation cycle index
-   cn_exp      =  '<CONFCASE>'  !  experience name
-   nn_it000    =    <IT000>   !  first time step
-   nn_itend    =    <ITEND>   !  last  time step (std 5840)
-   nn_date0    =    <DATE0>   !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
+   cn_exp      =  'STATION_ASF-NCAR'  !  experience name
+   nn_it000    =    1   !  first time step
+   nn_itend    =    8760   !  last  time step (std 5840)
+   nn_date0    =    20180101   !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
    nn_time0    =       0   !  initial time of day in hhmm
    nn_leapy    =       0   !  Leap year calendar (1) or not (0)
-   ln_rstart   =  .<RSTRT>.   !  start from rest (F) or from a restart file (T)
+   ln_rstart   =  .false.   !  start from rest (F) or from a restart file (T)
       nn_euler    =    1      !  = 0 : start with forward time step if ln_rstart=T
-      nn_rstctl   = <IRCTL>      !  restart control ==> activated only if ln_rstart=T
+      nn_rstctl   = 2      !  restart control ==> activated only if ln_rstart=T
       !                          !    = 0 nn_date0 read in namelist ; nn_it000 : read in namelist
       !                          !    = 1 nn_date0 read in namelist ; nn_it000 : check consistancy between namelist and restart
       !                          !    = 2 nn_date0 read in restart  ; nn_it000 : check consistancy between namelist and restart
-      cn_ocerst_in    = '<CN_OCERST_IN>'   !  suffix of ocean restart name (input)
-      cn_ocerst_indir = '<CN_OCERST_INDIR>'         !  directory from which to read input ocean restarts
+      cn_ocerst_in    = ''   !  suffix of ocean restart name (input)
+      cn_ocerst_indir = ''         !  directory from which to read input ocean restarts
       cn_ocerst_out   = 'restart_oce'   !  suffix of ocean restart name (output)
-      cn_ocerst_outdir = '<CN_OCERST_OUTDIR>'         !  directory in which to write output ocean restarts
+      cn_ocerst_outdir = './'         !  directory in which to write output ocean restarts
    ln_iscpl    = .false.   !  cavity evolution forcing or coupling to ice sheet model
    nn_istate   =       0   !  output the initial state (1) or not (0)
@@ -273,6 +273,4 @@
 &nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
 !-----------------------------------------------------------------------
-   jpni        =   <JPNI>       !  number of processors following i (set automatically if < 1), see also ln_listonly = T
-   jpnj        =   <JPNJ>       !  number of processors following j (set automatically if < 1), see also ln_listonly = T
 /
 !-----------------------------------------------------------------------
Index: NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/cpp_STATION_ASF.fcm
===================================================================
--- NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/cpp_STATION_ASF.fcm	(revision 11850)
+++ NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/cpp_STATION_ASF.fcm	(revision 11853)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_c1d key_mpp_mpi key_iomput
+ bld::tool::fppkeys   key_c1d key_iomput
Index: NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/test_cases.bib
===================================================================
--- NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/test_cases.bib	(revision 11850)
+++ NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/test_cases.bib	(revision 11853)
@@ -115,2 +115,13 @@
    abstract = {Many problems of fluid dynamics involve the coupled transport of several, density-like, dependent variables (for instance, densities of mass and momenta in elastic flows). In this paper, a conservative and synchronous flux-corrected transport (FCT) formalism is developed which aims at a consistent transport of such variables. The technique differs from traditional FCT algorithms in two respects. First, the limiting of transportive fluxes of the primary variables (e.g., mass and momentum) does not derive from smooth estimates of the variables, but it derives from analytic constraints implied by the Lagrangian form of the governing continuity equations, which are imposed on the specific mixing ratios of the variables (e.g., velocity components). Second, the traditional FCT limiting based on sufficiency conditions is augmented by an iterative procedure which approaches the necessity requirements. This procedure can also be used in the framework of traditional FCT schemes, and a demonstration is provided that it can significantly reduce some of the pathological behaviors of FCT algorithms. Although the approach derived is applicable to the transport of arbitrary conserved quantities, it is particularly useful for the synchronous transport of mass and momenta in elastic flows, where it assures intrinsic stability of the algorithm regardless of the magnitude of the mass-density variable. This latter property becomes especially important in fluids with large density variations, or in models with a material “vertical” coordinate (e.g., geophysical hydrostatic stratified flows in isopycnic/isentropic coordinates), where material surfaces can collapse to zero-mass layers admitting, therefore, arbitrarily large local Courant numbers.}
 }
+
+@article{Brodeau_al_2017,
+author={Laurent Brodeau and Bernard Barnier and Sergey Gulev and Cian Woods},
+title={Climatologically significant effects of some approximations in the bulk parameterizations of turbulent air-sea fluxes},
+journal={J. Phys. Oceanogr.},
+doi={10.1175/JPO-D-16-0169.1},
+year={2017},
+pages = {5-28},
+volume={47},
+number={1}
+}