Index: NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynadv_cen2.F90
===================================================================
--- NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynadv_cen2.F90	(revision 11862)
+++ NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynadv_cen2.F90	(revision 11869)
@@ -139,6 +139,6 @@
       ENDIF
       !                                   ! Control print
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' cen2 adv - Ua: ', mask1=umask,   &
-         &                       tab3d_2=va, clinfo2=           ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' cen2 adv - Ua: ', mask1=umask,   &
+         &                                              tab3d_2=va, clinfo2=           ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
    END SUBROUTINE dyn_adv_cen2
Index: NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynadv_ubs.F90
===================================================================
--- NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynadv_ubs.F90	(revision 11862)
+++ NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynadv_ubs.F90	(revision 11869)
@@ -232,6 +232,6 @@
       ENDIF
       !                                         ! Control print
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' ubs2 adv - Ua: ', mask1=umask,   &
-         &                       tab3d_2=va, clinfo2=           ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' ubs2 adv - Ua: ', mask1=umask,   &
+         &                                              tab3d_2=va, clinfo2=           ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
    END SUBROUTINE dyn_adv_ubs
Index: NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynhpg.F90
===================================================================
--- NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynhpg.F90	(revision 11862)
+++ NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynhpg.F90	(revision 11869)
@@ -119,6 +119,6 @@
       ENDIF
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' hpg  - Ua: ', mask1=umask,   &
-         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' hpg  - Ua: ', mask1=umask,   &
+         &                                              tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
       IF( ln_timing )   CALL timing_stop('dyn_hpg')
Index: NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynkeg.F90
===================================================================
--- NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynkeg.F90	(revision 11862)
+++ NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynkeg.F90	(revision 11869)
@@ -147,6 +147,6 @@
       ENDIF
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' keg  - Ua: ', mask1=umask,   &
-         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' keg  - Ua: ', mask1=umask,   &
+         &                                              tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
       IF( ln_timing )   CALL timing_stop('dyn_keg')
Index: NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynldf.F90
===================================================================
--- NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynldf.F90	(revision 11862)
+++ NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynldf.F90	(revision 11869)
@@ -77,6 +77,6 @@
       ENDIF
       !                                          ! print sum trends (used for debugging)
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf  - Ua: ', mask1=umask,   &
-         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf  - Ua: ', mask1=umask,   &
+         &                                              tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
       IF( ln_timing )   CALL timing_stop('dyn_ldf')
Index: NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynldf_iso.F90
===================================================================
--- NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynldf_iso.F90	(revision 11862)
+++ NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynldf_iso.F90	(revision 11869)
@@ -286,6 +286,6 @@
 
       ! print sum trends (used for debugging)
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' ldfh - Ua: ', mask1=umask, &
-         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' ldfh - Ua: ', mask1=umask, &
+         &                                              tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
 
 
Index: NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynnxt.F90
===================================================================
--- NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynnxt.F90	(revision 11862)
+++ NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynnxt.F90	(revision 11869)
@@ -368,6 +368,6 @@
       ENDIF
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=un, clinfo1=' nxt  - Un: ', mask1=umask,   &
-         &                       tab3d_2=vn, clinfo2=' Vn: '       , mask2=vmask )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=un, clinfo1=' nxt  - Un: ', mask1=umask,   &
+         &                                              tab3d_2=vn, clinfo2=' Vn: '       , mask2=vmask )
       ! 
       IF( ln_dynspg_ts )   DEALLOCATE( zue, zve )
Index: NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynspg.F90
===================================================================
--- NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynspg.F90	(revision 11862)
+++ NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynspg.F90	(revision 11869)
@@ -172,6 +172,6 @@
       ENDIF
       !                                      ! print mean trends (used for debugging)
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' spg  - Ua: ', mask1=umask, &
-         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' spg  - Ua: ', mask1=umask, &
+         &                                              tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
       IF( ln_timing )   CALL timing_stop('dyn_spg')
Index: NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynvor.F90
===================================================================
--- NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynvor.F90	(revision 11862)
+++ NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynvor.F90	(revision 11869)
@@ -179,6 +179,6 @@
       !
       !                       ! print sum trends (used for debugging)
-      IF(ln_ctl) CALL prt_ctl( tab3d_1=ua, clinfo1=' vor  - Ua: ', mask1=umask,               &
-         &                     tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) CALL prt_ctl( tab3d_1=ua, clinfo1=' vor  - Ua: ', mask1=umask,               &
+         &                                            tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
       IF( ln_timing )   CALL timing_stop('dyn_vor')
Index: NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynzad.F90
===================================================================
--- NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynzad.F90	(revision 11862)
+++ NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynzad.F90	(revision 11869)
@@ -114,6 +114,6 @@
       ENDIF
       !                             ! Control print
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' zad  - Ua: ', mask1=umask,   &
-         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' zad  - Ua: ', mask1=umask,   &
+         &                                              tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
       IF( ln_timing )   CALL timing_stop('dyn_zad')
Index: NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynzdf.F90
===================================================================
--- NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynzdf.F90	(revision 11862)
+++ NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynzdf.F90	(revision 11869)
@@ -492,6 +492,6 @@
       ENDIF
       !                                          ! print mean trends (used for debugging)
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf  - Ua: ', mask1=umask,               &
-         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf  - Ua: ', mask1=umask,               &
+         &                                              tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
          !
       IF( ln_timing )   CALL timing_stop('dyn_zdf')
Index: NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/sshwzv.F90
===================================================================
--- NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/sshwzv.F90	(revision 11862)
+++ NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/sshwzv.F90	(revision 11869)
@@ -121,5 +121,5 @@
       !                                           !------------------------------!
       !
-      IF(ln_ctl)   CALL prt_ctl( tab2d_1=ssha, clinfo1=' ssha  - : ', mask1=tmask )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab2d_1=ssha, clinfo1=' ssha  - : ', mask1=tmask )
       !
       IF( ln_timing )   CALL timing_stop('ssh_nxt')
@@ -262,5 +262,5 @@
       ENDIF
       !
-      IF(ln_ctl)   CALL prt_ctl( tab2d_1=sshb, clinfo1=' sshb  - : ', mask1=tmask )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab2d_1=sshb, clinfo1=' sshb  - : ', mask1=tmask )
       !
       IF( ln_timing )   CALL timing_stop('ssh_swp')